Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.book
Class DisplaySelectEvent

    java.lang.Object
      java.util.EventObject
          org.crosswire.bibledesktop.book.DisplaySelectEvent

All Implemented Interfaces:
  Serializable

    public class DisplaySelectEvent

extends EventObject

A DisplaySelectEvent happens whenever a user makes a command.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`private Book` | `book` The new Book
`private Key` | `key` The new passage
`private static long` | `serialVersionUID` Serialization ID

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DisplaySelectEvent(Object source, Key key, Book book)` For when a command has been made

Method Summary
`Book` | `getBook()` Get the type of command
`Key` | `getKey()` Get the type of command

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    private Key key

  The new passage

### book

    private transient Book book

  The new Book

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### DisplaySelectEvent

    public DisplaySelectEvent(Object source,
                              Key key,
                              Book book)

  For when a command has been made

  Parameters:
    `source` - The thing that started this off
    `key` - The selected Key
    `book` - The selected book

Method Detail

### getKey

    public Key getKey()

  Get the type of command

  Returns:
    The type of command

### getBook

    public Book getBook()

  Get the type of command

  Returns:
    The type of command

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD